As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 299379 - DOMFocusIn/DOMFocusOut not working properly
: DOMFocusIn/DOMFocusOut not working properly
Status: RESOLVED FIXED
: fixed1.8
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Doron Rosenberg (IBM)
: Stephen Pride
:
Mentors:
Depends on:
Blocks: 278448
  Show dependency treegraph
 
Reported: 2005-07-01 07:59 PDT by Stephen Pride
Modified: 2016-07-15 14:46 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (2.01 KB, application/xhtml+xml)
2005-07-01 08:00 PDT, Stephen Pride
no flags Details
le patch (4.62 KB, patch)
2005-10-18 13:16 PDT, Doron Rosenberg (IBM)
no flags Details | Diff | Splinter Review
le patch (4.62 KB, patch)
2005-10-18 13:16 PDT, Doron Rosenberg (IBM)
aaronr: review-
Details | Diff | Splinter Review
better patch (8.98 KB, patch)
2005-10-19 11:41 PDT, Doron Rosenberg (IBM)
no flags Details | Diff | Splinter Review
even better patch (7.42 KB, patch)
2005-10-19 14:35 PDT, Doron Rosenberg (IBM)
aaronr: review+
bugs: review+
Details | Diff | Splinter Review

Description User image Stephen Pride 2005-07-01 07:59:17 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050509 Firefox/1.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050509 Firefox/1.0.4

The DOMFocusIn and DOMFocusOut events should be caught when a value is changed
for a form control that traps for them, but it doesn't.  See testcase.

Reproducible: Always
Comment 1 User image Stephen Pride 2005-07-01 08:00:17 PDT
Created attachment 187939 [details]
testcase
Comment 2 User image Allan Beaufour 2005-07-04 02:23:41 PDT
Actually, the 1.0 errata removes the mention of the DOM focus events:
http://www.w3.org/MarkUp/Forms/Group/Drafts/Sources/errata.html#E70e
Comment 3 User image Allan Beaufour 2005-09-08 08:22:18 PDT
OK. I missed something. It's not removed, it's just not specified in the value
change sequence. They should still be dispatched...
Comment 4 User image aaronr 2005-09-08 09:50:40 PDT
Well, the right way to do this is to support DOMFocusIn and DOMFocusOut in the
core, which bryner says they will definitely take, but I'm sure it will be too
late for FF 1.5.  We could dispatch it ourselves as a stop gap until then, though.
Comment 5 User image Doron Rosenberg (IBM) 2005-10-18 13:16:20 PDT
Created attachment 199973 [details] [diff] [review]
le patch
Comment 6 User image Doron Rosenberg (IBM) 2005-10-18 13:16:22 PDT
Created attachment 199974 [details] [diff] [review]
le patch
Comment 7 User image Doron Rosenberg (IBM) 2005-10-18 13:16:52 PDT
Comment on attachment 199973 [details] [diff] [review]
le patch

double submit somehow, removing
Comment 8 User image aaronr 2005-10-18 15:22:12 PDT
Comment on attachment 199974 [details] [diff] [review]
le patch

So far so good.  But looking at the spec looks like DOMFocusIn/Out needs to
happen for: input, secret, textarea, output, upload, trigger, range, submit,
select, select1, and group.  I don't know what we should do for output or
group, but the rest seem straight forward.
Comment 9 User image Doron Rosenberg (IBM) 2005-10-19 11:41:11 PDT
Created attachment 200115 [details] [diff] [review]
better patch

For a full appearance select, this is hard to implement, so XXX: for now.
Comment 10 User image Doron Rosenberg (IBM) 2005-10-19 14:35:06 PDT
Created attachment 200143 [details] [diff] [review]
even better patch
Comment 11 User image aaronr 2005-10-19 22:19:21 PDT
Comment on attachment 200143 [details] [diff] [review]
even better patch

Looks good.  Please open a bug for range and upload to support these (or leave
this bug open to account for them).
Comment 12 User image Olli Pettay [:smaug] (review request backlog because of a work week) 2005-10-20 09:45:07 PDT
Comment on attachment 200143 [details] [diff] [review]
even better patch

I guess this is ok for now.
Comment 13 User image Doron Rosenberg (IBM) 2005-10-20 12:02:25 PDT
Checked into trunk. Do we want this on branch?
Comment 14 User image alexander :surkov 2005-10-23 20:12:22 PDT
Since bug 275453 was fixed then patch should be updated. Now 'upload' element calls removed dispatchDOMActivate() method.
Comment 15 User image Doron Rosenberg (IBM) 2005-10-25 11:23:51 PDT
checked into branch.

Note You need to log in before you can comment on or make changes to this bug.